## ide-source-snippet-chunk

ide-source-snippet-chunk

## Functions

IdeSourceSnippetChunk * | ide_source_snippet_chunk_new ()
IdeSourceSnippetChunk * | ide_source_snippet_chunk_copy ()
IdeSourceSnippetContext * | ide_source_snippet_chunk_get_context ()
void | ide_source_snippet_chunk_set_context ()
const gchar * | ide_source_snippet_chunk_get_spec ()
void | ide_source_snippet_chunk_set_spec ()
gint | ide_source_snippet_chunk_get_tab_stop ()
void | ide_source_snippet_chunk_set_tab_stop ()
const gchar * | ide_source_snippet_chunk_get_text ()
void | ide_source_snippet_chunk_set_text ()
gboolean | ide_source_snippet_chunk_get_text_set ()
void | ide_source_snippet_chunk_set_text_set ()

## Types and Values

#define | IDE_TYPE_SOURCE_SNIPPET_CHUNK
| IdeSourceSnippetChunk

## Description

## Functions

### ide_source_snippet_chunk_new ()

    IdeSourceSnippetChunk *
    ide_source_snippet_chunk_new (void);

### ide_source_snippet_chunk_copy ()

    IdeSourceSnippetChunk *
    ide_source_snippet_chunk_copy (IdeSourceSnippetChunk *chunk);

Copies the source snippet.

#### Returns

An IdeSourceSnippetChunk.

[transfer full]

### ide_source_snippet_chunk_get_context ()

    IdeSourceSnippetContext *
    ide_source_snippet_chunk_get_context (IdeSourceSnippetChunk *chunk);

Gets the context for the snippet insertion.

#### Returns

An IdeSourceSnippetContext.

[transfer none]

### ide_source_snippet_chunk_set_context ()

    void
    ide_source_snippet_chunk_set_context (IdeSourceSnippetChunk *chunk,
                                          IdeSourceSnippetContext *context);

### ide_source_snippet_chunk_get_spec ()

    const gchar *
    ide_source_snippet_chunk_get_spec (IdeSourceSnippetChunk *chunk);

### ide_source_snippet_chunk_set_spec ()

    void
    ide_source_snippet_chunk_set_spec (IdeSourceSnippetChunk *chunk,
                                       const gchar *spec);

### ide_source_snippet_chunk_get_tab_stop ()

    gint
    ide_source_snippet_chunk_get_tab_stop (IdeSourceSnippetChunk *chunk);

### ide_source_snippet_chunk_set_tab_stop ()

    void
    ide_source_snippet_chunk_set_tab_stop (IdeSourceSnippetChunk *chunk,
                                           gint tab_stop);

### ide_source_snippet_chunk_get_text ()

    const gchar *
    ide_source_snippet_chunk_get_text (IdeSourceSnippetChunk *chunk);

### ide_source_snippet_chunk_set_text ()

    void
    ide_source_snippet_chunk_set_text (IdeSourceSnippetChunk *chunk,
                                       const gchar *text);

### ide_source_snippet_chunk_get_text_set ()

    gboolean
    ide_source_snippet_chunk_get_text_set (IdeSourceSnippetChunk *chunk);

### ide_source_snippet_chunk_set_text_set ()

    void
    ide_source_snippet_chunk_set_text_set (IdeSourceSnippetChunk *chunk,
                                           gboolean text_set);

## Types and Values

### IDE_TYPE_SOURCE_SNIPPET_CHUNK

    #define IDE_TYPE_SOURCE_SNIPPET_CHUNK (ide_source_snippet_chunk_get_type())

### IdeSourceSnippetChunk

    typedef struct _IdeSourceSnippetChunk IdeSourceSnippetChunk;